summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Zhu Qun-Ying <zhu.qunying@gmail.com>2015-02-05 05:31:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-05 06:47:44 +0700
commit8a395ca7e4a09215facf4af624e3ae59baca9883 (patch)
treea7578ed984ed850b6a3b6fdc9e5d99e5c3258e0e /development
parent340382477dcc0bb98bb73069f27b032149c7b325 (diff)
downloadslackbuilds-8a395ca7e4a09215facf4af624e3ae59baca9883.tar.gz
slackbuilds-8a395ca7e4a09215facf4af624e3ae59baca9883.tar.xz
development/uncrustify: Added (source code beautifier).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/uncrustify/README5
-rw-r--r--development/uncrustify/slack-desc19
-rw-r--r--development/uncrustify/uncrustify.SlackBuild75
-rw-r--r--development/uncrustify/uncrustify.info10
4 files changed, 109 insertions, 0 deletions
diff --git a/development/uncrustify/README b/development/uncrustify/README
new file mode 100644
index 0000000000..de25c92f08
--- /dev/null
+++ b/development/uncrustify/README
@@ -0,0 +1,5 @@
+Uncrustify is a source code beautifier that allows you to banish crusty
+code. It works with C, C++, C#, D, Java, and Pawn and indents (with spaces
+only, tabs and spaces, and tabs only), adds and removes newlines, has a
+high degree of control over operator spacing, aligns code, is extremely
+configurable, and is easy to modify.
diff --git a/development/uncrustify/slack-desc b/development/uncrustify/slack-desc
new file mode 100644
index 0000000000..92487cdf24
--- /dev/null
+++ b/development/uncrustify/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uncrustify: Uncrustify (source code beautifier)
+uncrustify:
+uncrustify: Uncrustify works with C, C++, C#, D, Java, and Pawn and
+uncrustify: indents (with spaces only, tabs and spaces, and tabs
+uncrustify: only),, adds and removes newlines, has a high degree of
+uncrustify: control over operator spacing, aligns code, is extremely
+uncrustify: configurable, and is easy to modify.
+uncrustify:
+uncrustify: Uncrustify home page is http://uncrustify.sourceforge.net/
+uncrustify:
+uncrustify:
diff --git a/development/uncrustify/uncrustify.SlackBuild b/development/uncrustify/uncrustify.SlackBuild
new file mode 100644
index 0000000000..7b030ee0a6
--- /dev/null
+++ b/development/uncrustify/uncrustify.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for uncrustify
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+PRGNAM=uncrustify
+VERSION=${VERSION:-0.61}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README ChangeLog documentation \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/uncrustify/uncrustify.info b/development/uncrustify/uncrustify.info
new file mode 100644
index 0000000000..dfc83d269a
--- /dev/null
+++ b/development/uncrustify/uncrustify.info
@@ -0,0 +1,10 @@
+PRGNAM="uncrustify"
+VERSION="0.61"
+HOMEPAGE="http://uncrustify.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/uncrustify/uncrustify-0.61.tar.gz"
+MD5SUM="b6140106e74c64e831d0b1c4b6cf7727"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"